Bug Hunting Session
Bug 62470 - FORMATING: incorrect matching of border lines in 'Table Format' dialog for RTL Table
Summary: FORMATING: incorrect matching of border lines in 'Table Format' dialog for RT...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-03-18 13:14 UTC by Lior Kaplan
Modified: 2013-04-14 07:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2013-03-18 13:14:08 UTC
This is a follow up for bug 62399, but for writer.

Steps to reproduce:
1. Insert a table to a new writer document.
3. Change table text direction to RTL (Right To Left).
4. Change the left border of the table.

Current behavior:
the right border will be changed (not the left).

Expected behavior:
The wanted border should change.
Comment 1 Joel Madero 2013-03-18 15:17:22 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.5.2 
Platform: Bodhi Linux 2.2 x64

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)

Normal (prevents high quality work and looks bad on LibreOffice, it seems like it's just reversed as if you set right side border it applies it to the left)

Low - default is medium but workaround is relatively straight forward.

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Commit Notification 2013-04-01 07:21:08 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5709e4134ab2b883f7f1186e4a481962108908d7

fdo#62470 fix the input change when the table RTL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-04-01 07:48:18 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb681a1cbb5a8382a7d521d901bc101496085519

fdo#62470 fix the table format dialog reading



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Lior Kaplan 2013-04-03 05:58:09 UTC
Fix verified on a build from master.
Comment 5 Commit Notification 2013-04-14 07:00:30 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=327adac44129264f7bc0dab161afbb88ec3003d8

more fix to fdo#62470



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.